### Class

# EvinceDocument Attachment

#### Description

    class EvinceDocument.Attachment : GObject.Object {
      base_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ev_attachment_new

No description available.

#### Functions

###### ev_attachment_error_quark

No description available.

#### Instance methods

###### ev_attachment_get_creation_date

No description available.

###### ev_attachment_get_description

No description available.

###### ev_attachment_get_mime_type

No description available.

###### ev_attachment_get_modification_date

No description available.

###### ev_attachment_get_name

No description available.

###### ev_attachment_open

No description available.

###### ev_attachment_save

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EvinceDocument.Attachment:ctime

No description available.

###### EvinceDocument.Attachment:data

No description available.

###### EvinceDocument.Attachment:description

No description available.

###### EvinceDocument.Attachment:mtime

No description available.

###### EvinceDocument.Attachment:name

No description available.

###### EvinceDocument.Attachment:size

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceDocumentAttachmentClass {
      GObjectClass base_class;

    }

No description available.

###### Class members

`base_class: GObjectClass`
  No description available.